#include <iostream>

using namespace std;

int main() {
	int broj_testova;
	cin>>broj_testova;
	int test_podaci[broj_testova][3];
	for (int i = 0; i < broj_testova; i++){
		cin>>test_podaci[i][0]>>test_podaci[i][1]>>test_podaci[i][2];
	}
	for (int i = 0; i < broj_testova; i++){
		if (test_podaci[i][0] >= test_podaci[i][2]){
			if (test_podaci[i][1] > test_podaci[i][0] + 2){
				cout<<"Tak\n";
			}
			else{
				cout<<"Nie\n";
			}
		}
		else{
			cout<<"Nie\n";
		}	
	}
	return 0;
}